Bug 769537 - html test fails with OOM
Summary: html test fails with OOM
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-XML-LibXML
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-12-21 09:26 UTC by Dan Horák
Modified: 2012-08-14 00:59 UTC (History)
3 users (show)

Fixed In Version: perl-XML-LibXML-2.0003-2.fc18
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-14 00:59:21 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 845534 None None None Never

Internal Links: 845534

Description Dan Horák 2011-12-21 09:26:52 UTC
The html test fails with OOM on ppc64 and s390x (64-bit big endians)

...
t/10ns.t ............................ ok       
t/11memory.t ........................ skipped: developers only (set MEMORY_TEST=1 to run these tests)
t/12html.t .......................... 1/43 Out of memory!
# Looks like you planned 43 tests but ran 41.
# Looks like your test exited with 1 just after 41.
t/12html.t .......................... Dubious, test returned 1 (wstat 256, 0x100)
Failed 2/43 subtests 
t/13dtd.t ........................... ok     
t/14sax.t ........................... ok     
t/15nodelist.t ...................... ok     
...

package version: perl-XML-LibXML-1.88-1.fc17

Comment 1 Sandro CAZZANIGA 2012-07-05 07:54:30 UTC
Hi, it's seems fixed with the latest version of the perl module (2.0001):

chmod 755 blib/arch/auto/XML/LibXML/LibXML.so
cp LibXML.bs blib/arch/auto/XML/LibXML/LibXML.bs
chmod 644 blib/arch/auto/XML/LibXML/LibXML.bs
PERL_DL_NONLAZY=1 /usr/bin/perl5.16.0 "-MExtUtils::Command::MM" "-e" "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
t/01basic.t ......................... 1/3 # 
# 
# Compiled against libxml2 version: 20800
# Running libxml2 version:          20800
# 
t/01basic.t ......................... ok   
t/02parse.t ......................... ok       
t/03doc.t ........................... ok       
t/04node.t .......................... ok       
t/05text.t .......................... ok     
t/06elements.t ...................... ok       
t/07dtd.t ........................... ok     
t/08findnodes.t ..................... ok     
t/09xpath.t ......................... ok     
t/10ns.t ............................ ok       
t/11memory.t ........................ skipped: developers only (set MEMORY_TEST=1 to run these tests)
t/12html.t .......................... ok     
t/13dtd.t ........................... ok     
t/14sax.t ........................... ok     
t/15nodelist.t ...................... ok     
t/16docnodes.t ...................... ok     
t/17callbacks.t ..................... ok  

Maybe with versions between 1.88 and 2.0001, don't know.

Comment 2 Sandro CAZZANIGA 2012-07-05 08:09:17 UTC
Hmm, 

I can't reproduce this bug in tests with XML-LibXML-1.88..

Comment 3 Dan Horák 2012-07-06 10:51:53 UTC
(In reply to comment #2)
> Hmm, 
> 
> I can't reproduce this bug in tests with XML-LibXML-1.88..

are you working with a 64-bit big-endian system (ppc64, s390x) or with regular x86_64 (which is little-endian)?

Comment 4 Sandro CAZZANIGA 2012-07-06 12:05:18 UTC
No.

Comment 5 Petr Pisar 2012-08-03 11:58:31 UTC
This issue has been resolved as bug #845534. I will re-enable the 12html test.

Comment 6 Fedora Update System 2012-08-03 12:28:05 UTC
perl-XML-LibXML-1.90-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-XML-LibXML-1.90-3.fc17

Comment 7 Fedora Update System 2012-08-05 21:32:30 UTC
Package perl-XML-LibXML-1.90-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-XML-LibXML-1.90-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11523/perl-XML-LibXML-1.90-3.fc17
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2012-08-14 00:59:21 UTC
perl-XML-LibXML-1.90-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.